/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Izhar Aazmi <info@bhartiy.com> - http://www.bhartiy.com
 */
Joomla = window.Joomla || {};
Joomla.submitbutton = function (task, form) {
	Joomla.submitform(task, form);
};

(function ($) {
	$(document).ready(function () {
		// Initialize cart modal
		var $cartModal = $('#modal-cart');
		if ($cartModal.length) {
			var oo = new SellaciousViewCartAIO;
			oo.token = Joomla.getOptions('csrf.token');
			oo.initCart('#modal-cart .ctech-modal-body', true);
			$cartModal.find('.ctech-modal-body').html('<div id="cart-items"></div>');
			$cartModal.data('CartModal', oo);
		}

		$('.btn-toggle').click(function () {
			$(this).find('[data-toggle="true"]').toggleClass('hidden');
		});

		$('.variant_spec').change(function () {
			let link = $(this).data('href');
			if (link) window.location.href = link;
		});

		$('.btn-review').click(function () {
			var $reviewBox = $('#reviewBox');
			$reviewBox.addClass('focused').find('input[type="text"]').focus();
			setTimeout(function () {
				$('#reviewBox').removeClass('focused');
			}, 1500);
		});

		$('.ctech-modal').on('show.ctech-bs.modal', function () {
			// Close any active modals first
			$('.ctech-modal').ctechmodal('hide');
		});

		$('.btn-wishlist').not('.disabled').click(function () {
			var $this = $(this);
			var code = $this.data('item');

			if (!code) {
				var guest = $this.data('guest');
				var href = $this.data('href');
				if (guest) {
					if (confirm('You need to login to access your wishlist. Do you want to login?'))
						window.location.href = href || 'index.php?option=com_users&view=login';
				} else if (href) window.location.href = href;

				return;
			}

			var paths = Joomla.getOptions('system.paths', {});
			var baseUrl = (paths.base || paths.root || '') + '/index.php';

			$.ajax({
				url: baseUrl + '?option=com_sellacious&task=wishlist.addAjax',
				type: 'POST',
				data: {p: code},
				cache: false,
				dataType: 'json',
				success: function (response) {
					if (response.state === 1) {
						$this.find('i.fa').addClass('fa-heart').removeClass('fa-heart-o');
						$this.closest('.product-wishlist-container').removeClass('ctech-text-primary ctech-border-primary').addClass('ctech-text-danger ctech-border-danger');
						$this.find('span').html('Added to Wishlist');
						$this.data('href', response.data['redirect'])
							.data('item', null);
					} else {
						Joomla.renderMessages({error: [response.message]});
					}
				},
				error: function (jqXHR) {
					Joomla.renderMessages({error: ['There was an error while processing your request. Please try later.']});
					console.log(jqXHR.responseText);
				}
			});
		});
	});

	$(window).load(function () {
		$('.ctech-modal').each(function () {
			if ($(this).attr('id').match(/query-form-/)) {
				$(this).closest('.ctech-wrapper').appendTo('body');
			}
		});
	});
})(jQuery);
