/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
jQuery(document).ready(function ($) {
    $('.select_24_hrs').on('change', function () {
        if (this.checked) {
            $(this).closest('.timingsrow').find('.from_time').val('12:00 AM').attr('disabled', true).trigger('change.select2');
            $(this).closest('.timingsrow').find('.to_time').val('11:59 PM').attr('disabled', true).trigger('change.select2');
        } else {
            $(this).closest('.timingsrow').find('.from_time').attr('disabled', false);
            $(this).closest('.timingsrow').find('.to_time').attr('disabled', false);
        }
    });

    $('.copy-all').on('click', function () {
        var fieldName = $(this).data('field-name');
        var from_time = $(this).closest('.timingsrow').find('select.from_time').val();
        var to_time = $(this).closest('.timingsrow').find('select.to_time').val();

        $('.timings-table-' + fieldName).find('.from_time').each(function () {
            if (!$(this).closest('.timingsrow').find('.select_24_hrs').is(':checked')) {
                $(this).val(from_time).trigger('change.select2');
            }
        });

        $('.timings-table-' + fieldName).find('.to_time').each(function () {
            if (!$(this).closest('.timingsrow').find('.select_24_hrs').is(':checked')) {
                $(this).val(to_time).trigger('change.select2');
            }
        });
    });
});
