jQuery(function($) {
    $(document).ready(function() {
        $('select').select2();

        $(document).on('click','label,input[type="radio"]', function() {
            var group = $(this).closest('.input-control');
            var input = group.find('.input-ui');
            var inputH = group.find('.input-h');
            var type = $(this).is('input') ? $(this).val() : $(this).find('input').val();
            var amt = input.val();
            amt = parseFloat(amt.replace(/%/g, ''));
            amt = isNaN(amt) ? '0.00' : amt.toFixed(2);
            input.val(amt + type);
            inputH.val(amt + type);
        });
        $(document).on('change', '.input-ui', function() {
            var amt = $(this).val();
            var type = /%$/.test(amt) ? '%' : '';
            amt = parseFloat(amt.replace(/%/g, ''));
            amt = isNaN(amt) ? '0.00' : amt.toFixed(2);
            $(this).val(amt);
            var group = $(this).closest('.input-control');
            group.find('input[type="radio"]').filter('[value="'+type+'"]').click();
        });
        $('.input-ui').trigger('change');

        $('.btn-toggle').click(function (e) {
            e.preventDefault();

            var cell = $(this).closest('td');
            var row = $(this).closest('tr');
            cell.find('.btn-toggle').toggleClass('hidden');

            var catid = row.data('category-id');
            var context = $('#context').val();
            var form_type = $('#form_type').val();
            var id = $('#jform_id').val();
            var currency = $('#currency').val();

            if ($(this).find('i').hasClass('fa-plus')) {
                if ($('tr[data-base-catid="'+catid+'"]').length) {
                    $('tr[data-base-catid="'+catid+'"]').removeClass('hidden');
                } else {
                    var token = Joomla.getOptions('csrf.token');

                    var $data = {
                        option: 'com_sellacious',
                        task: 'commissions.getChildCommissionsAjax',
                        format: 'json',
                        category_id: catid,
                        id: id,
                        context: context,
                        form_type: form_type,
                        currency: currency,
                    };
                    $data[token] = 1;

                    Joomla.loadingLayer("show");
                    $.ajax({
                        url: 'index.php',
                        type: 'POST',
                        dataType: 'json',
                        cache: false,
                        data: $data
                    }).done(function (response) {
                        Joomla.loadingLayer("hide");

                        if (response.success) {
                            $(response.data.html).insertAfter(row);
                            $('.input-ui').trigger('change');
                        } else {
                            Joomla.renderMessages({warning: [response.message]});
                        }
                    }).fail(function ($xhr) {
                        Joomla.loadingLayer("hide");
                        console.log($xhr.responseText);
                    });
                }
            } else {
                $('tr[data-base-catid="'+catid+'"]').addClass('hidden');
            }
        });
    });
});
