<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access.
defined('_JEXEC') or die;

/**
 * Category controller class
 *
 * @since  2.0.0
 */
class SellaciousControllerCategory extends SellaciousControllerBase
{
	/**
	 * Provides autocomplete interface to javascript functions
	 *
	 * @return  void
	 *
	 * @since   2.0.0
	 */
	public function autoComplete()
	{
		try
		{
			$query      = $this->input->getString('query');
			$offset     = $this->input->getInt('list_start');
			$limit      = $this->input->getInt('list_limit');
			$disabledId = $this->input->getInt('disabled_id');
			$showAll    = $this->input->getString('show_all') == 'true';
			$language   = $this->input->getString('language');
			$types      = $this->input->getString('types', '');
			$types      = explode(',', $types);

			$defaultOptions = $this->input->get('default_options', array(), 'Array');

			$options = array(
				'show_all'        => $showAll,
				'language'        => $language,
				'disabled_id'     => $disabledId,
				'default_options' => $defaultOptions,
			);

			JModelLegacy::addIncludePath(JPATH_SELLACIOUS . '/components/com_sellacious/models');

			/** @var  SellaciousModelCategory $model */
			$model = $this->getModel('Category', 'SellaciousModel');
			$data  = $model->suggest(trim($query), null, array($offset, $limit), $types, $options);

			echo new JResponseJson($data);
		}
		catch (Exception $e)
		{
			echo new JResponseJson($e);
		}

		$this->app->close();
	}

	/**
	 * Get details of given item
	 *
	 * @throws  Exception
	 *
	 * @since   2.0.0
	 */
	public function getInfoAjax()
	{
		try
		{
			$keys = $this->input->get('id', array(), 'array');

			$defaultOptions = $this->input->get('default_options', array(), 'Array');
			$options        = array(
				'default_options' => $defaultOptions,
			);

			JModelLegacy::addIncludePath(JPATH_SELLACIOUS . '/components/com_sellacious/models');

			/** @var  SellaciousModelCategory $model */
			$model = $this->getModel('Category', 'SellaciousModel');
			$items = $model->suggest('', $keys, null, array(), $options);

			echo new JResponseJson($items);
		}
		catch (Exception $e)
		{
			echo new JResponseJson($e);
		}

		$this->app->close();
	}
}
