<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access.
defined('_JEXEC') or die;

/** @var  array  $displayData */
extract($displayData);

/**
 * Layout variables
 * -----------------
 * @var   string   $class     Classes for the input.
 * @var   boolean  $disabled  Is this field disabled?
 * @var   string   $hint      Placeholder for the field.
 * @var   string   $id        DOM id of the field.
 * @var   boolean  $multiple  Does this field support multiple values?
 * @var   string   $name      Name of the input field.
 * @var   string   $onchange  Onchange attribute for the field.
 * @var   boolean  $required  Is this field required?
 * @var   string   $value     Value attribute of the field.
 * @var   array    $options   Options available for this field.
 * @var   string   $ajaxUrl   AJAX Url for this field.
 * @var   string   $infoUrl   Info AJAX Url for this field.
 * @var   string   $limit     No. of items to show in autocomplete for this field.
 */

$options = htmlspecialchars(json_encode($options));
?>
<input
	type="hidden" name="<?php
	echo $name; ?>" id="<?php
	echo $id; ?>" value="<?php
	echo $value; ?>"
	<?php echo $class . $disabled . $onchange; ?> data-ajax-url="<?php
	echo $ajaxUrl; ?>" data-info-url="<?php
	echo $infoUrl; ?>" data-multiple="<?php
	echo $multiple; ?>" data-hint="<?php
	echo $hint; ?>" data-limit="<?php
	echo $limit; ?>" data-default-options="<?php
	echo $options; ?>"
/>

