<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     SPL Sellacious Private License; see http://www.sellacious.com/spl.html
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access

defined('_JEXEC') or die;

JHtml::_('jquery.framework');
JHtml::_('script', 'com_sellacious/field.timings.js', array('relative' => true, 'version' => S_VERSION_CORE));

/** @var array $displayData */
$days        = $displayData['days'];
$field       = $displayData['field'];
$timeOptions = $displayData['time_options'];
$value       = $field->value;
$fieldName   = $field->getAttribute('name');
$name        = $field->name;
$id          = $field->id;

$toTimeOptions             = $timeOptions;
$toTimeOptions['11:59 PM'] = '11:59 PM';
?>
<div class="table-responsive timings-wrapper">
	<table class="table table-striped table-hover table-noborder timings-table-<?php echo $fieldName ?>">
		<thead>
		<tr role="row" class="cursor-pointer v-top">
			<th class="nowrap">
				<label>
					<input type="checkbox" name="checkall-toggle" value="" class="hasTooltip style-3" title="" onclick="Joomla.checkAll(this, '<?php echo $fieldName ?>');">
					<span style="margin-left: 5px;"><strong><?php echo JText::_('COM_SELLACIOUS_FIELD_TIMINGS_CHECK_ALL');?></strong></span>
				</label>
			</th>
			<th class="nowrap text-center"><?php echo JText::_('COM_SELLACIOUS_FIELD_TIMINGS_START_TIME');?></th>
			<th class="nowrap text-center"><?php echo JText::_('COM_SELLACIOUS_FIELD_TIMINGS_END_TIME');?></th>
			<th></th>
			<th></th>
		</tr>
		</thead>
		<tbody>
		<?php $count = 0;

		foreach ($days as $num => $day)
		{
			$checked = isset($value[$num]['state']) ? ($value[$num]['state'] == 0 ? '' : 'checked="checked"') : '';
			$fullDay = isset($value[$num]['full_day']) ? ($value[$num]['full_day'] == 0 ? '' : 'checked="checked"') : '';
			$from    = isset($value[$num]['from_time']) ? JFactory::getDate($value[$num]['from_time'])->format('h:i A') : '12:00 AM';
			$to      = isset($value[$num]['to_time']) ? JFactory::getDate($value[$num]['to_time'])->format('h:i A') : '11:59 PM';
			?>
			<tr role="row" id="jform_timings_days_row_<?php echo $num; ?>" class="timingsrow">
				<td class="text-align-left">
					<label>
						<input type="checkbox" name="<?php echo $name; ?>[<?php echo $num;?>][week_day]" id="<?php echo $fieldName . '_' . $id; ?>_<?php echo $num;?>_week_day" value="<?php echo $num;?>" <?php echo $checked;?>>
						<input type="hidden" name="<?php echo $name; ?>[<?php echo $num;?>][state]" id="<?php echo $fieldName . '_' . $id; ?>_<?php echo $num;?>_state" value="<?php echo $value[$num]['state'];?>">
						<span style="margin-left: 5px;"><?php echo $day;?></span>
					</label>
				</td>
				<td>
					<?php
					$fromFieldName = $name . '[' . $num . '][from_time]';
					$fromFieldId   = $id . '_' . $num . '_from_time';
					$fromAttribs   = 'class="small-input from_time"' . ($fullDay ? ' disabled="true"' : '');
					echo JHtml::_('select.genericlist', $timeOptions, $fromFieldName, $fromAttribs, 'id', 'title', $from, $fromFieldId);
					?>
				</td>
				<td>
					<?php
					$toFieldName = $name . '[' . $num . '][to_time]';
					$toFieldId   = $id . '_' . $num . '_to_time';
					$toAttribs   = 'class="small-input to_time"' . ($fullDay ? ' disabled="true"' : '');
					echo JHtml::_('select.genericlist', $toTimeOptions, $toFieldName, $toAttribs, 'id', 'title', $to, $toFieldId);
					?>
				</td>
				<td class="text-align-center">
					<label class="lbl-full-day">
						<input type="checkbox" class="select_24_hrs" name="<?php echo $name; ?>[<?php echo $num;?>][full_day]" id="<?php echo $id; ?>_<?php echo $num;?>_full_day" value="1" <?php echo $fullDay ?>>
						<span style="margin-left: 5px;"><?php echo JText::_('COM_SELLACIOUS_FIELD_TIMINGS_FULL_DAY'); ?></span>
					</label>
				</td>
				<td>
					<label>
						<?php if ($count < 1): ?>
						<button type="button" class="btn btn-primary <?php echo $fieldName ?>-copy-all copy-all" data-field-name="<?php echo $fieldName ?>">
							<?php echo JText::_('COM_SELLACIOUS_FIELD_TIMINGS_COPY_TO_ALL');?>
						</button>
						<?php endif; ?>
					</label>
				</td>
			</tr>
			<?php
			$count++;
		}
		?>
		<tr class="sfss-blankrow hidden">
			<td colspan="4"></td>
		</tr>
		</tbody>
	</table>
</div>
