<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access
defined('_JEXEC') or die;

use Joomla\Utilities\ArrayHelper;

/** @var  SellaciousViewStore $this */
/** @var  array $tplData */

$days       = SellaciousHelperSeller::DAYS_LONG;
$now        = JFactory::getDate();
$weekDayNow = $this->helper->core->getWeekDay($now);

/** @var JUser $store */
$sellerTimings = ArrayHelper::getValue($tplData, 'seller_timings', array());
$store         = ArrayHelper::getValue($tplData, 'store');
?>
<div class="store-time">
	<?php foreach ($sellerTimings as $sellerTiming): ?>
		<?php if ($sellerTiming['show'] && $sellerTiming['list']): ?>
			<div class="seller-timings">
				<h6>
					<span><?php echo $sellerTiming['title']; ?></span>
					<a href="#" class="toggle-timings"><i class="fa fa-chevron-down"></i></a>
					<span class="timing-tz">
						<?php echo JText::sprintf('COM_SELLACIOUS_SELLER_TIMINGS_IN_TIMEZONE', $store->getParam('timezone', 'UTC')); ?>
					</span>
				</h6>
				<ul>
					<?php foreach ($sellerTiming['list'] as $timings):
						$weekDay = $timings['week_day'];
						$class = $weekDay != $weekDayNow ? 'class="hidden not-today"' : 'class="today"';
						?>
						<li <?php echo $class; ?>>
							<div class="timing_day"><?php echo $days[$weekDay] . ': '; ?></div>
							<div class="timing_slots"><?php
								$fromTime     = JFactory::getDate($timings['from_time']);
								$nextFromTime = JFactory::getDate($timings['from_time'])->modify('+1 day');
								$toTime       = JFactory::getDate($timings['to_time']);
								$nextDiff     = $nextFromTime->diff($toTime);

								if ($timings['full_day'] || ($nextDiff->h == 0 && $nextDiff->i <= 1))
								{
									echo JText::_('COM_SELLACIOUS_FIELD_TIMINGS_FULL_DAY');
								}
								else
								{
									echo $fromTime->format('h:i A') . ' - ' . $toTime->format('h:i A');
								}
								?>
							</div>

							<?php if (!empty($timings['slot_info'])): ?>
								<a href="#" class="slot-info-toggle"><i class="fa fa-info-circle"></i></a>
								<div class="slot-info-block ctech-d-none">
									<?php foreach ($timings['slot_info'] as $slotInfo): ?>
										<div class="slot-info-row">
											<span class="slot-info-label"><?php echo $slotInfo['label']; ?></span>
											<span class="slot-info-value"><?php echo $slotInfo['value']; ?></span>
										</div>
									<?php endforeach; ?>
								</div>
							<?php endif; ?>
						</li>
					<?php endforeach; ?>
				</ul>
			</div>
		<?php endif; ?>
	<?php endforeach; ?>
</div>
