<?php
/**
 * @version     2.0.0
 * @package     sellacious
 *
 * @copyright   Copyright (C) 2012-2020 Bhartiy Web Technologies. All rights reserved.
 * @license     GNU General Public License version 2 or later; see LICENSE.txt
 * @author      Aditya Chakraborty <info@bhartiy.com> - http://www.bhartiy.com
 */
// no direct access.
defined('_JEXEC') or die;

JFormHelper::loadFieldClass('Autocomplete');

/**
 * Form Field class
 *
 * @since   2.0.0
 */
class JFormFieldUserAutocomplete extends JFormFieldAutocomplete
{
	/**
	 * The field type.
	 *
	 * @var   string
	 *
	 * @since   2.0.0
	 */
	protected $type = 'UserAutocomplete';

	/**
	 * Method to attach a JForm object to the field.
	 *
	 * @param   SimpleXMLElement  $element  The SimpleXMLElement object representing the <field /> tag for the form field object.
	 * @param   mixed             $value    The form field value to validate.
	 * @param   string            $group    The field name group control value.
	 *
	 * @return  boolean  True on success.
	 *
	 * @since   2.0.0
	 */
	public function setup(SimpleXMLElement $element, $value, $group = null)
	{
		if (!parent::setup($element, $value, $group))
		{
			return false;
		}

		$types = (string) $this->element['group'];
		$types = implode(',', explode(';', $types));

		if (!empty($this->ajaxUrl))
		{
			$this->ajaxUrl .= '&types=' . $types;
		}

		if (!empty($this->infoUrl))
		{
			$this->infoUrl .= '&types=' . $types;
		}

		return true;
	}
}
